Page MenuHomeFreeBSD

sysutils/seaweedfs: NEW PORT
ClosedPublic

Authored by dch on Nov 26 2020, 10:39 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jul 19, 7:25 PM
Unknown Object (File)
Tue, Jul 16, 8:10 AM
Unknown Object (File)
Jun 18 2024, 6:01 AM
Unknown Object (File)
May 31 2024, 1:12 PM
Unknown Object (File)
May 15 2024, 11:44 PM
Unknown Object (File)
May 3 2024, 12:18 PM
Unknown Object (File)
May 2 2024, 5:24 PM
Unknown Object (File)
Apr 26 2024, 2:56 AM
Subscribers

Details

Summary

SeaweedFS is a distributed object store and file system to store and
serve billions of files fast! IT's Object store has O(1) disk seek,
and transparent cloud integration. The Filer supports cross-cluster
active-active replication, Kubernetes, POSIX, S3 API, encryption,
Erasure Coding for warm storage, FUSE mount, Hadoop, and WebDAV.

WWW: https://github.com/chrislusf/seaweedfs/wiki

Test Plan

poudriere OK on 12 & 13 amd64 + aarch64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

dch requested review of this revision.Nov 26 2020, 10:39 PM

yolo doge has fixed the bug but has no idea why

dmgk added inline comments.
sysutils/seaweedfs/Makefile
150 ↗(On Diff #80047)

Both do-build and do-install can be replaced with

GO_TARGET=      ./weed:${PREFIX}/sbin/weed
CGO_CFLAGS=     -I.

updated:

  • roll in improvements from @dmgk
  • add sample configs using inbuilt generator
  • brief first time usage instructions

still to do:

  • work on rc.d script
  • improve first-time pkg-message

Add rc.conf and pkg-message

This revision was not accepted when it landed; it landed in state Needs Review.Jan 6 2021, 11:11 AM
This revision was automatically updated to reflect the committed changes.